diff --git a/web/pgadmin/static/js/browser/server_groups/servers/model_validation.js b/web/pgadmin/static/js/browser/server_groups/servers/model_validation.js
index 7ab129ba..948af3d4 100644
--- a/web/pgadmin/static/js/browser/server_groups/servers/model_validation.js
+++ b/web/pgadmin/static/js/browser/server_groups/servers/model_validation.js
@@ -99,6 +99,6 @@ export class ModelValidation {
   }
 
   static isEmptyString(string) {
-    return _.isUndefined(string) || _.isNull(string) || string.trim() === '';
+    return _.isUndefined(string) || _.isNull(string) || String(string).trim() === '';
   }
 }
diff --git a/web/regression/javascript/browser/server_groups/servers/model_validation_spec.js b/web/regression/javascript/browser/server_groups/servers/model_validation_spec.js
index a05cd455..560d8b60 100644
--- a/web/regression/javascript/browser/server_groups/servers/model_validation_spec.js
+++ b/web/regression/javascript/browser/server_groups/servers/model_validation_spec.js
@@ -31,7 +31,7 @@ describe('Server#ModelValidation', () => {
         model.isNew.and.returnValue(true);
         model.allValues['name'] = 'some name';
         model.allValues['username'] = 'some username';
-        model.allValues['port'] = 'some port';
+        model.allValues['port'] = 12345;
       });
 
       describe('No service id', () => {
